var system=require("../../system")
var settings=require("../../../config/settings");
const CtlBase = require("../ctl.base");
class AuthCtl extends CtlBase{
   constructor(){
     super(CtlBase.getServiceName(AuthCtl));
   }
   async saveAuths(query,qobj,req){
     var auths=qobj.aus;
     var xrtn=await this.service.saveAuths(auths,req.companyid);
     return system.getResult2(xrtn,null);
   }
   async findAuthsByRole(query,qobj,req){
     var rolecodestrs=qobj.rolecode;
     var xrtn=await this.service.findAuthsByRole(rolecodestrs,req.companyid);
     return system.getResult2(xrtn,null);
   }
}
module.exports=AuthCtl;
